from enum import Enum


class GetBagTagLabelAccept(str, Enum):
    APPLICATIONPDF = "application/pdf"
    APPLICATIONPDFSINGLEPAGE = "application/pdf+singlepage"
    APPLICATIONPDFSINGLEPAGE6X4 = "application/pdf+singlepage+6x4"
    APPLICATIONZPL = "application/zpl"
    APPLICATIONZPL6X4 = "application/zpl+6x4"
    APPLICATIONZPLROTATED = "application/zpl+rotated"
    APPLICATIONZPLROTATED6X4 = "application/zpl+rotated+6x4"
    IMAGEPNG = "image/png"
    IMAGEPNG6X4 = "image/png+6x4"

    def __str__(self) -> str:
        return str(self.value)
